/* 

                          Firewall Builder

                 Copyright (C) 2000 Vadim Kurland

  Author:  Vadim Kurland     vadim@vk.crocodile.org

  $Id: About.cc,v 1.10 2001/09/21 20:08:53 lord Exp $


  This program is free software which we release under the GNU General Public
  License. You may redistribute and/or modify this program under the terms
  of that license as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  To get a copy of the GNU General Public License, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include <config.h>

#include "About.hh"

#include "Constants.hh"

using namespace libfwbuilder;

const char  *authors[]= {  "Vadim Kurland <vadim@vk.crocodile.org>" , 
			   "Vadim Zaliva <lord@crocodile.org>" ,
			   NULL };

// singleton
About*   About::about_dlg=NULL;

About::About(const string &comment) :
    AboutDlg("Firewall Builder   ",
	     VERSION,
	     "Copyright (C) 2000-2001 Vadim Kurland   Vadim Zaliva",
	     authors,
	     comment.c_str()  )		
{
    about_dlg=this;
    about_dlg->set_name("about");
    hide.connect(SigC::slot(this,&About::on_hide));
}

About::~About()
{   
}


void About::on_hide()
{   
    /*
      Class Gnome::About seems to destroy itself on hide, so we are 
      going to have to recreate our singleton every time we need to show it
    */
    about_dlg=NULL;
}

void About::showAboutDialog()
{
    if (about_dlg==NULL) 
	about_dlg=new About("Using libfwbuilder v"+ 
			   Constants::getLibraryVersion()+
			   "\nURL:  http://www.fwbuilder.org/   ");

    about_dlg->show();

}
