/* 

                          Firewall Builder

                 Copyright (C) 2000 Vadim Kurland

  Author:  Vadim Kurland     vadim@vk.crocodile.org

  $Id: htmlviewer.cc,v 1.4 2001/08/05 09:02:25 lord Exp $


  This program is free software which we release under the GNU General Public
  License. You may redistribute and/or modify this program under the terms
  of that license as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  To get a copy of the GNU General Public License, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include "config.h"

#include <gnome.h>

#include "htmlviewer.hh"

HTMLViewer::HTMLViewer() : Gtk::Widget(  gtk_xmhtml_new() )
{
    gtk_signal_connect (GTK_OBJECT (gtkobj()), "activate",
			GTK_SIGNAL_FUNC (HTMLViewer::on_activate), NULL);
}

HTMLViewer::HTMLViewer(const char* html_code) : Gtk::Widget( gtk_xmhtml_new() )
{
    gtk_xmhtml_source( (GtkXmHTML*)gtkobj()  ,  (char*)html_code);

    gtk_signal_connect (GTK_OBJECT (gtkobj()), "activate",
			GTK_SIGNAL_FUNC (HTMLViewer::on_activate), NULL);
}

void HTMLViewer::on_activate (GtkXmHTML *html, void *arg)
{
    XmHTMLAnchorCallbackStruct *cbs;
    cbs=(XmHTMLAnchorCallbackStruct*)arg;
//    cerr << "on_activate:  cbs->href=" << cbs->href << endl;
    gnome_url_show( cbs->href );
}

void HTMLViewer::set_html_source(const char* html_code)
{
    gtk_xmhtml_source( (GtkXmHTML*)gtkobj()  ,  (char*)html_code);
}



